import asyncio
import os
import typing

import pytest

from mongox.database import Client

database_uri = os.environ.get("DATABASE_URI", "mongodb://localhost:27017")
client = Client(get_event_loop=asyncio.get_running_loop)


@pytest.fixture(scope="session")
def event_loop() -> typing.Generator[asyncio.AbstractEventLoop, None, None]:
    loop = asyncio.get_event_loop_policy().new_event_loop()
    yield loop
    loop.close()


@pytest.fixture(autouse=True, scope="session")
async def test_database() -> None:
    await client.drop_database("test_db")
